#include <iostream>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <algorithm>
#include <vector>

using namespace std;

int main(){
    int t;
    int n, target; //lepse zvuci target nego k iskr
    cin >> t;
    cin >> n >> target;
    vector<int> a;
    int w[n]; //ako je t==1 w je rezultat
    for(int i = 0; i < n; i++){
        int x;
        cin >> x;
        a.push_back(x);
        if(target > a.at(i) && target < a.at(i)){
            cout << "NE";
            return 0;
        }
    }
    
    
    
    return 0;
}